Open CASCADE Technology: BRepLib_MakeShape Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions | Protected Attributes
BRepLib_MakeShape Class Reference

This is the root class for all shape constructions. It stores the result. More...

`#include <BRepLib_MakeShape.hxx>`

Inheritance diagram for BRepLib_MakeShape:
[legend]

## Public Member Functions
void | Build ()
| This is called by Shape(). It does nothing but may be redefined. More...
const TopoDS_Shape & | Shape () const
| operator TopoDS_Shape () const
virtual BRepLib_ShapeModification | FaceStatus (const TopoDS_Face &F) const
| returns the status of the Face after the shape creation. More...
virtual Standard_Boolean | HasDescendants (const TopoDS_Face &F) const
| Returns True if the Face generates new topology. More...
virtual const TopTools_ListOfShape & | DescendantFaces (const TopoDS_Face &F)
| returns the list of generated Faces. More...
virtual Standard_Integer | NbSurfaces () const
| returns the number of surfaces after the shape creation. More...
virtual const TopTools_ListOfShape & | NewFaces (const Standard_Integer I)
| Return the faces created for surface I. More...
virtual const TopTools_ListOfShape & | FacesFromEdges (const TopoDS_Edge &E)
| returns a list of the created faces from the edge <E>. More...
Public Member Functions inherited from BRepLib_Command
virtual void | Delete ()
virtual | ~BRepLib_Command ()
Standard_Boolean | IsDone () const
void | Check () const
| Raises NotDone if done is false. More...

## Protected Member Functions
| BRepLib_MakeShape ()
Protected Member Functions inherited from BRepLib_Command
| BRepLib_Command ()
| Set done to False. More...
void | Done ()
| Set done to true. More...
void | NotDone ()
| Set done to false. More...

## Protected Attributes
TopoDS_Shape | myShape
TopTools_ListOfShape | myGenFaces
TopTools_ListOfShape | myNewFaces
TopTools_ListOfShape | myEdgFaces

## Detailed Description

This is the root class for all shape constructions. It stores the result.

It provides deferred methods to trace the history of sub-shapes.

## Constructor & Destructor Documentation

BRepLib_MakeShape::BRepLib_MakeShape | ( |  | ) |
| protected

## Member Function Documentation

void BRepLib_MakeShape::Build | ( |  | ) |

This is called by Shape(). It does nothing but may be redefined.

virtual const TopTools_ListOfShape& BRepLib_MakeShape::DescendantFaces | ( | const TopoDS_Face & | F | ) |
| virtual

returns the list of generated Faces.

virtual const TopTools_ListOfShape& BRepLib_MakeShape::FacesFromEdges | ( | const TopoDS_Edge & | E | ) |
| virtual

returns a list of the created faces from the edge <E>.

virtual BRepLib_ShapeModification BRepLib_MakeShape::FaceStatus | ( | const TopoDS_Face & | F | ) | const
| virtual

returns the status of the Face after the shape creation.

Reimplemented in BRepLib_MakeSolid.

virtual Standard_Boolean BRepLib_MakeShape::HasDescendants | ( | const TopoDS_Face & | F | ) | const
| virtual

Returns True if the Face generates new topology.

virtual Standard_Integer BRepLib_MakeShape::NbSurfaces | ( |  | ) | const
| virtual

returns the number of surfaces after the shape creation.

virtual const TopTools_ListOfShape& BRepLib_MakeShape::NewFaces | ( | const Standard_Integer | I | ) |
| virtual

Return the faces created for surface I.

BRepLib_MakeShape::operator TopoDS_Shape | ( |  | ) | const

const TopoDS_Shape& BRepLib_MakeShape::Shape | ( |  | ) | const

## Field Documentation

TopTools_ListOfShape BRepLib_MakeShape::myEdgFaces
| protected

TopTools_ListOfShape BRepLib_MakeShape::myGenFaces
| protected

TopTools_ListOfShape BRepLib_MakeShape::myNewFaces
| protected

TopoDS_Shape BRepLib_MakeShape::myShape
| protected

The documentation for this class was generated from the following file:

- BRepLib_MakeShape.hxx